Home//
REST API Reference
/- Update a company
Create or Update a company
Retrieve companies
Retrieve a company by ID
Delete a company
List attached contacts
List attached segments for companies
List all company notes
Create a company note
List all companies
Scroll over all companies
Attach a Contact to a Company
List attached companies for contact
Detach a contact from a company
Company
Update a company
You can update a single company using the Intercom provisioned id.
Using `company_id`
When updating a company it is not possible to update company_id. This can only be set once upon creation of the company.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
The URL for this company's website. Please note that the value specified here is not validated. Accepts any string.
Example:"https://www.example.com"
A hash of key/value pairs containing any other data about the company you want Intercom to store.
Example:
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9 }
- The production API serverhttps://api.intercom.io/companies/{company_id}
- The european API serverhttps://api.eu.intercom.io/companies/{company_id}
- The australian API serverhttps://api.au.intercom.io/companies/{company_id}
- Successful
- Bad Request
/**
* Requires libcurl
*/
const companyId = "5f4d3c1c-7b1b-4d7d-a97e-6095715c6632";
$curl = curl_init();
$payload = array(
"name" => "my company",
"website" => "http://www.mycompany.com/"
);
curl_setopt_array($curl, [
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <YOUR_TOKEN_HERE>",
"Content-Type: application/json",
"Intercom-Version: 2.16"
],
CURLOPT_POSTFIELDS => json_encode($payload),
CURLOPT_URL => "https://api.intercom.io/companies/" . companyId,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "PUT",
]);
$response = curl_exec($curl);
$error = curl_error($curl);
curl_close($curl);
if ($error) {
echo "cURL Error #:" . $error;
} else {
echo $response;
}Successful
The Intercom defined code of the workspace the company is associated to.
Example:"ecahpwf5"
The custom attributes you have set on the company.
Example:
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9 }
Response
{ "type": "company", "company_id": "1", "id": "6762f0841bb69f9f2193baff", "app_id": "this_is_an_id165_that_should_be_at_least_", "name": "company2", "remote_created_at": 1734537348, "created_at": 1734537348, "updated_at": 1734537348, "monthly_spend": 0, "session_count": 0, "user_count": 1, "tags": { "type": "tag.list", "tags": [] }, "segments": { "type": "segment.list", "segments": [] }, "plan": {}, "custom_attributes": {} }